from flask import jsonify
from flask.views import View

from pycs.database.Project import Project


class ListProjects(View):
    """
    get a list of all available projects
    """
    # pylint: disable=arguments-differ
    methods = ['GET']


    def dispatch_request(self):
        return jsonify(Project.query.all())
